Reverse Lookups
Reverse Email Lookup
The Reverse Email Lookup API resolves an email address into a complete business profile, including full name, job title, seniority, company, LinkedIn URL, firmographic data, and any other email addresses on file.
Use this endpoint to:
- Enrich inbound leads and form fills with full contact context
- Qualify a prospect before you reach out
- Fill in missing profile data on an existing email list
Fair Use Policy: This API is subject to our Fair Use Policy for Enrichment.
POST
/
reverse_email_lookup
Reverse Email Lookup
curl --request POST \
--url https://api.moltsets.com/api/v1/tools/reverse_email_lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john.smith@example.com"
}
'import requests
url = "https://api.moltsets.com/api/v1/tools/reverse_email_lookup"
payload = { "email": "john.smith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'john.smith@example.com'})
};
fetch('https://api.moltsets.com/api/v1/tools/reverse_email_lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": {
"first_name": "John",
"last_name": "Smith",
"title": "Principal Cybersecurity Engineer",
"seniority": "Manager",
"functional_area": "Information Technology",
"linkedinurl": "https://www.linkedin.com/in/john-smith-123",
"current_company": "MoltSets",
"current_company_url": "https://moltsets.com",
"current_company_linkedinurl": "https://linkedin.com/company/moltsets",
"country": "United States",
"company_employee_count": "3",
"company_employee_range": "1-10",
"company_revenue": "1200000000",
"company_revenue_range": "$1-10M",
"work_email_confirmed": "a4cd87c390c98385297fbe9250XXXXX",
"work_email_confirmed_status": "2025-10-12",
"personal_emails": [
"3018fe3a783fad1db0370ee3fXXXXX"
],
"personal_emails_status": [
null
]
},
"status": "ok",
"metadata": {
"fair_use": {
"records_remaining_5h": 179999,
"records_reset_5h": "2026-07-15T18:53:16Z",
"records_remaining_1w": 899999,
"records_reset_1w": "2026-07-22T13:53:16Z"
}
}
}{
"error": "Bad Request",
"message": "The server cannot process the request due to a client error (400 Bad Request)."
}{
"error": "Unauthorized",
"message": "Invalid API key."
}{
"error": "Not Found",
"message": "No match was found for the data provided."
}{
"error": "Invalid Input",
"message": "Message describing the nature of the invalid input."
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Maximum 100 requests per second."
}{
"error": {
"code": "internal_error",
"message": "Unexpected connection error."
},
"metadata": {}
}⌘I
Reverse Email Lookup
